import org.trinitydesktop.qt.*;
import org.trinitydesktop.koala.*;

public class Test{
  static String description = "DCOP test application for Java";


  /**
   * test the DCOP stuff.
   *
   * This test doesn't simply construct a DCOPClient, because
   * dcop needs the eventloop (app.exec())
   */
  public static void main(String[] argv){
   TDEAboutData aboutData = new TDEAboutData( "test", "Test",
         "0.1", description, TDEAboutData.License_GPL,
         "(C) 2002 Gert-Jan van der Heiden");
    TDECmdLineArgs.init( argv, aboutData );

    TDEApplication app = new TDEApplication();
    app.dcopClient().registerAs("JavaTest", false);
    JavaDCOPObject object = new JavaDCOPObject();
    app.exec();
  }

  static{
    qtjava.initialize();
    tdejava.initialize();
  }
}
